/ api / cat / special / _next
_next
Syntax

    GB_METHOD ( "_next" , Return Type , MyClass_next , NULL )

    GB_STATIC_METHOD ( "_next" , Return Type , MyClass_next , NULL )

The `_next` method is called when the Gambas program use the FOR EACH ... IN instruction to enumerate the object.

The method takes no parameters, and may return an enumerated data.

The method can be static. Then, the class will be enumerable, not the object.

This method can return nothing. Then, you will enumerate the object with a FOR EACH instruction, without the IN part.

Inside the `_next` method implementation, you will use some specific Gambas Programming Interface functions. See Enumeration Management for more information.

### See also

Special Methods Methods Implementation Enumeration Management